import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../shared/base-api-template-service.model';
import { AppLoginContainerModel } from '../../../../../models/aggregates/id';
import { ApiVisa, Pagination } from '../shared';
import { ApiResponseModel, PagingResponseModel } from '../shared/api-response.model';
import { Observable } from 'rxjs';
export declare class AppLoginService extends BaseApiTemplateService<AppLoginContainerModel> {
    constructor(http: HttpClient);
    getByCriteriaByTenant(pagination: Pagination, tenantCode: string, apiVisa: ApiVisa): Observable<PagingResponseModel<AppLoginContainerModel>>;
    populateToTenant(tenantCode: string, dto: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    deletePlatformUsersSyadminEp(appLogin: string, apiVisa: ApiVisa): Observable<ApiResponseModel<any>>;
    deletePlatformUsersTenantAdminEp(tenantCode: string, appLogin: string, apiVisa: ApiVisa): Observable<ApiResponseModel<any>>;
}
